# import discord
from random import randint

def roll_logic(sides):
  return randint(1, sides)

def roll(number_of_die, sides):
  results = list(tuple(roll_logic(int(sides)) for _ in range(int(number_of_die))))

  # blue
  embed_color = 3447003
  if sum(results) == 1:
    # Red
    embed_color = 15158332
  if sum(results) >= 10:
    # Green
    embed_color = 3066993
  if sum(results) >= 15:
    # Gold
    embed_color = 15844367

  embed = discord.Embed(description=None, color=embed_color, type="rich")
  embed.set_author(name="Rolling %s %s sided die" % (number_of_die, sides))
  embed.add_field(name="**Total**", value=":game_die: %s" % results)
  embed.add_field(name="**Total**", value=sum(results))
  return embed

def parse_message(message):
  return roll(message.split()[1], message.split()[2])
